Bug 41164

Summary: [Qt] QtWebKit crashes if <select>'s render changes in its onchange event
Product: WebKit Reporter: Luiz Agostini <luiz>
Component: New BugsAssignee: Luiz Agostini <luiz>
Status: CLOSED FIXED    
Severity: Normal CC: hausmann
Priority: P3 Keywords: Qt
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on: 40828    
Bug Blocks:    
Attachments:
Description Flags
patch 1 commit-queue: commit-queue-

Description Luiz Agostini 2010-06-24 09:33:16 PDT
http://www.mav-start.hu/english/index.php is  the online hungarian railway guide.

If you choose an option from "Reduction" drop-down list  the browser will crash.
Comment 1 Luiz Agostini 2010-06-24 09:41:11 PDT
Created attachment 59665 [details]
patch 1
Comment 2 Kenneth Rohde Christiansen 2010-06-24 09:56:31 PDT
Comment on attachment 59665 [details]
patch 1

WebKit/qt/ChangeLog:8
 +          QtWebKit crashes if <select>'s renderer changes in its onchange event.
you are repeating yourself. Why not explain how you fixed it instead
Comment 3 WebKit Commit Bot 2010-06-25 19:59:48 PDT
Comment on attachment 59665 [details]
patch 1

Clearing flags on attachment: 59665

Committed r61935: <http://trac.webkit.org/changeset/61935>
Comment 4 WebKit Commit Bot 2010-06-25 20:10:44 PDT
Comment on attachment 59665 [details]
patch 1

Rejecting patch 59665 from commit-queue.

Failed to run "[u'/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/svn-apply', u'--force']" exit_code: 1
Parsed 2 diffs from patch file(s).
patching file WebKit/qt/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file WebKit/qt/WebCoreSupport/QtFallbackWebPopup.cpp
Hunk #1 FAILED at 97.
1 out of 1 hunk FAILED -- saving rejects to file WebKit/qt/WebCoreSupport/QtFallbackWebPopup.cpp.rej

Full output: http://webkit-commit-queue.appspot.com/results/3313735
Comment 5 Luiz Agostini 2010-06-28 06:48:46 PDT
landed.
Comment 6 Simon Hausmann 2010-07-01 01:28:27 PDT
cherry-picked revision 61935 into qtwebkit-2.0 with commit de98c5e02992ca8400065a0cb3eb8ff3f6e36b79